/**
* 文件：MateriaBomService.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.materia.service;


import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.materia.model.MateriaBomEntity;

/**
 * <p>Title: BOM单表</p>
 * <p>Description: MateriaBomService service接口 </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */

public interface MateriaBomService extends ICRUDService<MateriaBomEntity,Long> {

    String  doImportBom(String materiaBomStr, Context context);

    String  doExportBom(Long bomId, Context context);

    String  doExportBomFlat(Long bomId, Context context);

    void  copyBom(Long id, Context context);

}